#include "shopsettings.h"

ShopSettings::ShopSettings(QObject *parent) : QObject(parent)
{
    m_codepage = ASCII;
    m_lettersPerLine = 48;
}

QString ShopSettings::output() const
{
    return m_output;
}

void ShopSettings::setOutput(const QString &output)
{
    m_output = output;
}

ShopSettings::CODEPAGE ShopSettings::codepage() const
{
    return m_codepage;
}

void ShopSettings::setCodepage(const CODEPAGE &codepage)
{
    m_codepage = codepage;
}

int ShopSettings::lettersPerLine() const
{
    return m_lettersPerLine;
}

void ShopSettings::setLettersPerLine(int lettersPerLine)
{
    m_lettersPerLine = lettersPerLine;
}

QString ShopSettings::byMessage() const
{
    return m_byMessage;
}

void ShopSettings::setByMessage(const QString &byMessage)
{
    m_byMessage = byMessage;
}
